import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { LineChart } from './LineChart';

const width = window.innerWidth;
const height = window.innerHeight;

const App = () => {
  const data = useData();

  if (!data) {
    return <pre>Loading...</pre>;
  }
  
  return (
    <LineChart data={data} width={width} height={height} />
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
